# Rebuild with  '--with dbus' to enbale dbus/Netwrokmanager support
%bcond_with dbus

# Location where helper scripts are located
%define scripts_path /usr/lib/%{name}

Summary:	The NIS daemon which binds NIS clients to an NIS domain
Name:		ypbind
Version:	1.37.1
Release:	1
Epoch:		3
License:	GPLv2+
Group:		System/Servers
Url:		http://www.linux-nis.org/nis/ypbind-mt/index.html
Source0:	http://www.linux-nis.org/download/ypbind-mt/ypbind-mt-%version.tar.bz2
Source2:	yp.conf
Source3:	ypbind.service
Source4:	ypbind-pre-setdomain
Source5:	ypbind-post-waitbind
Patch0:		ypbind-mt-1.37.1-link-tirpc.patch
Patch1:		ypbind-mt-1.37.1-automake-1.13.patch
Patch2:		ypbind-1.11-gettextdomain.patch
Requires:	rpcbind
Requires:	yp-tools
BuildRequires:	gettext-devel
%if %{with dbus}
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(NetworkManager)
%endif
BuildRequires:	pkgconfig(libtirpc)

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%files -f %{name}.lang
%attr(755, root, root) /sbin/ypbind
%{_mandir}/*/*
%{_unitdir}/*
%{scripts_path}/*
%config(noreplace) %{_sysconfdir}/yp.conf
%dir /var/yp/binding
%doc README ChangeLog AUTHORS THANKS NEWS

%post
%systemd_post ypbind.service

%preun
%systemd_preun ypbind.service

#----------------------------------------------------------------------------

%prep
%setup -q -n ypbind-mt-%{version}
%apply_patches

%build
autoreconf -fi
%serverbuild
%configure2_5x \
%if %{with dbus}
	--enable-dbus-nm \
%else
	--disable-dbus-nm \
%endif
	--sbindir=/sbin
%make

%install
%makeinstall sbindir=%{buildroot}/sbin

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yp.conf
mkdir -p %{buildroot}/var/yp/binding

mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/ypbind.service
mkdir -p %{buildroot}%{scripts_path}
install -m 755 %{SOURCE4} %{buildroot}%{scripts_path}/ypbind-pre-setdomain
install -m 755 %{SOURCE5} %{buildroot}%{scripts_path}/ypbind-post-waitbind

%find_lang %{name}


%changelog
* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:1.37.1-1
+ Revision: 9742268
- Update BuildRequires


